Bug 500243 - Pre-Review Request: saxpath - Simple API for XPath
Pre-Review Request: saxpath - Simple API for XPath
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-11 17:50 EDT by Fernando Nasser
Modified: 2009-08-20 10:39 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 10:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 17:50:51 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/saxpath.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/saxpath-1.0-1.3.jpp6.src.rpm

Description: 
The SAXPath project is a Simple API for XPath. SAXPath is analogous to SAX
in that the API abstracts away the details of parsing and provides a simple
event based callback interface.
Comment 1 Fernando Nasser 2009-05-13 13:13:24 EDT
SRPM URL: http://people.fedoraproject.org/~fnasser/saxpath-1.0-1.4.jpp6.src.rpm

Has a fix to the License as suggested by Toshio.
Comment 2 Andrew Overholt 2009-05-14 09:29:27 EDT
I have only one item that needs a bit of feedback for pre-review:

- please add a URL for the POM file; is it acceptably licensed?
Comment 3 Fernando Nasser 2009-05-14 22:13:08 EDT
Hum, I really don't know if anyone ever thought of attributing a license to a POM.

The:

<project>
  <modelVersion>xxxx</modelVersion>
  <groupId>yyyy</groupId>
  <artifactId>zzzzzz</artifactId>
  <version>#####</version>
</project>

incantation is a standard template for a maven coordinate, I don't think one can attribute an IP claim to it.

As to the URL, there is none.  In this specific case this is a minimal POM  created for this RPM.
Comment 4 Andrew Overholt 2009-05-15 09:51:21 EDT
spot, can we get confirmation that .pom files are exempt from licensing and URL checks?  This will be an issue for a lot of these packages.
Comment 5 Tom "spot" Callaway 2009-05-15 09:55:15 EDT
Just for clarification, is a POM equivalent to a spec file for java?
Comment 6 Andrew Overholt 2009-05-15 10:05:28 EDT
(In reply to comment #5)
> Just for clarification, is a POM equivalent to a spec file for java?  

It's like a spec file for maven builds.
Comment 7 Tom "spot" Callaway 2009-05-15 10:14:42 EDT
It would be nice if these were collected in a central upstream location, perhaps a git repo for "java POMs". From a legal perspective, I doubt these are copyrightable works, unless they have much more complexity than Fernando has illustrated.

So, for licensing purposes, I don't see any reason to worry about the POM files.
Comment 8 Andrew Overholt 2009-05-15 10:25:14 EDT
(In reply to comment #7)
> It would be nice if these were collected in a central upstream location,
> perhaps a git repo for "java POMs".

I *think* (this is from hearsay) that they're all in the maven's repo upstream.  But I really have no idea.

> So, for licensing purposes, I don't see any reason to worry about the POM
> files.  

Thanks.

Pre-review is approved for this package.
Comment 9 Fernando Nasser 2009-05-17 21:26:53 EDT
New Package CVS Request
=======================
Package Name: saxpath
Short Description: Simple API for XPath
Owners: fnasser, dbhole
Branches: devel
InitialCC: jkeating
Comment 10 Kevin Fenzi 2009-05-18 19:30:54 EDT
cvs done.
Comment 11 Alexander Kurtakov 2009-08-20 10:39:04 EDT
Build in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=128071

Note You need to log in before you can comment on or make changes to this bug.